<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class RoleRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        if ($this->getMethod() == 'PATCH' || $this->getMethod() == 'PUT') {

             $id = $this->role; // we use this if we choose $id such as param in update func
//            $id = $this->role->id; // we use this if we choose Model Category $category  such as param in update func
        } else {
            $id = null;
        }
        return [
            "name"=> ["required","string", Rule::unique('roles')->ignore($id)],
            "display_name" => ["required" ,"string"],
            "description" => ["nullable","string" ],
        ];
    }

    public function messages()
    {
        return [
            'name.required' => "هذا الحقل مطلوب",
            'name.string' =>  "يجب ان يكون هذا الحقل نصب",
            'name.unique' =>  "هذا :attribute موجود من قبل ",
            'display_name.string' =>  "يجب ان يكون هذا الحقل نصب",
            'display_name.required' => "هذا الحقل مطلوب",
            'description.string' =>  "يجب ان يكون هذا الحقل نصب",


        ];
    }

    public function attributes()
    {
        return [
            'name'   =>"اسم الدور ",
            'display_name'   =>" الاسم المعروض ",
            'description'   =>"الوصف ",
        ];
    }

}
