<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CalendarTepyan extends Model
{
    use HasFactory;

    use SoftDeletes;
    protected $hidden = ['created_at', 'updated_at'];
    public function scopeFilter($query, array $filters)
    {
        $query->when($filters['search'] ?? null, function ($query, $search) {
            $query->where(function ($query) use ($search) {
                $query->where('id', 'like', '%' . $search . '%')
                   ->orWhere('monthm', 'like', '%' . $search . '%')
                    ;
            });
        });
    }
}
