<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PrayerTime extends Model
{
    // public $timestamps = false;
    use HasFactory;

    use SoftDeletes;
    protected $hidden = ['deleted_at', 'created_at', 'updated_at'];
    // protected $fillable = ['active', 'deleted_at', 'created_at', 'updated_at'];
    public function HasLocation()
    {
        return $this->belongsTo('App\Models\Location', 'locations_id');

    }
    public function scopeFilter($query, array $filters)
    {
        $query->when($filters['search'] ?? null, function ($query, $search) {
            $query->where(function ($query) use ($search) {
                $query->where('id', 'like', '%' . $search . '%')
                   ->orWhere('locations_id', 'like', '%' . $search . '%')
                    ;
            });
        });
    }

}
