<?php
return [
    /**
     * Control if the seeder should create a user per role while seeding the data.
     */
    'create_users' => true,
    /**
     * Control if all the laratrust tables should be truncated before running the seeder.
     */
    'truncate_tables' => true,
    'roles_structure' => [
        'superadmin' => [
            'users' => 'c,r,u,d,e',
            'roles' => 'c,r,u,d,e',
            'profile' => 'r,u,d,e',
            'boycott_categories' => 'c,r,u,d,e',
            'boycott_companies' => 'c,r,u,d,e',
            'boycott_products' => 'c,r,u,d,e,s,b',
            'locations' => 'c,r,u,d,e',
            'calendar_hijris' => 'c,r,u,d,e',
            'agricultural_calendars' => 'c,r,u,d,e',
            'calendar_tepyans' => 'c,r,u,d,e',
            'sliders' => 'c,r,u,d,e',
            'prayer_times' => 'c,r,u,d,e',
            'phrases' => 'c,r,u,d,e',
            'events' => 'c,r,u,d,e',
            'settings' => 'c,r,u,d,e',
        ],
        'admin' => [
            'users' => 'c,r,u,d,e',
            'profile' => 'r,u',
            'boycott_categories' => 'c,r,u,d,e',
            'boycott_products' => 'c,r,u,d,e,s,b',
            'sliders' => 'c,r,u,d,e',
            'locations' => 'c,r,u,d,e',
            'prayer_times' => 'c,r,u,d,e',
            'calendar_tepyans' => 'c,r,u,d,e',
            'calendar_hijris' => 'c,r,u,d,e',
            'agricultural_calendars' => 'c,r,u,d,e',
            'boycott_companies' => 'c,r,u,d,e',
            'phrases' => 'c,r,u,d,e',
            'events' => 'c,r,u,d,e',
            'settings' => 'c,r,u,d,e',
        ],
        'user' => [
            'profile' => 'r,u',
            'boycott_products' => 'c,r,e,s,b',
        ],
    ],
    'permissions_map' => [
        'c' => 'create',
        'r' => 'read',
        'u' => 'update',
        'd' => 'delete',
        'e' => 'eye',
        'p' => 'eye',
        's' => 'star',
        'b' => 'basket',
    ]
];
